void zeroCrossInterrupt(){  // trata interrupcao INT0 
  lastZeroCrossInt = millis();  //armazena instante da ultima zerocrossInt

  if (semiciclo == negativo){  //se o semiciclo anterior era o Negativo
    microsRisingAnterior = micros();  // preserva o momento do inicio do semiciclo positivo
    tempoSemicicloNegativo= int ((micros() - microsFallingAnterior));  //calcula o periodo do semiciclo negativo 
    semiciclo = positivo ;  //atualiza variavel com informacao do semiciclo atual
    attachInterrupt(0, zeroCrossInterrupt,FALLING);  //modifica modo de interrupcao para pulso de descida (inicio do semiciclo Negativo)
  }else {  //se o semiciclo anterior era o Positivo
    microsFallingAnterior = micros();  // preserva o momento do inicio do semiciclo Negativo
    tempoSemicicloPositivo= int ((micros() - microsRisingAnterior));  //calcula o periodo do semiciclo Positivo
    semiciclo = negativo ;  //atualiza variavel com informacao do semiciclo atual
    attachInterrupt(0, zeroCrossInterrupt,RISING);  //modifica modo de interrupcao para pulso de subida (inicio do semiciclo Positivo)
  }
}
